All Resources
GET
Get a group
/v3/groups/{id}
GET
Get group contents
/v3/groups/{id}/contents
GET
Get group followers
/v3/groups/{id}/followers
GET
List pending group invitations
/v3/groups/{id}/invitations
GET
Get group invite
/v3/groups/{id}/invite
GET
Get group members
/v3/groups/{id}/members
POST
Create a group
/v3/groups
POST
Add or invite a group member
/v3/groups/{id}/invitations
POST
Create or reuse group invite
/v3/groups/{id}/invite
POST
Join a group
/v3/groups/{id}/members
PUT
Update a group
/v3/groups/{id}
DELETE
Revoke a pending group invitation
/v3/groups/{id}/invitations/{invitation_id}
DELETE
Remove a group member
/v3/groups/{id}/members/{user_id}
DELETE
Delete a group
/v3/groups/{id}
DELETE
Delete group invite
/v3/groups/{id}/invite
DELETE
Leave a group
/v3/groups/{id}/members/me
Returns paginated contents (blocks and channels) created by a group. Uses the search API to find all content added by the specified group. Respects visibility rules and user permissions.
Path Params
id
string
required
Resource ID or slug
Query Params
page
integer
Page number for pagination
per
integer
Number of items per page (max 100)
sort
string enum
Sort by creation or last update time.
type
string enum
Filter to a specific content type.
GET
https://api.are.na/v3/groups/{id}/contents
Paginated list of connectable content (blocks and channels)
data
oneOf[]!
Array of blocks and channels
[items]
TextBlock | ImageBlock | LinkBlock | AttachmentBlock | EmbedBlock | Channel
TextBlock
TextBlock
A text block containing markdown content
ImageBlock
ImageBlock
An image block containing an uploaded or scraped image
LinkBlock
LinkBlock
A link block representing a URL with optional preview
AttachmentBlock
AttachmentBlock
An attachment block containing an uploaded file
EmbedBlock
EmbedBlock
An embed block containing embedded media (video, audio, etc.)
Channel
Channel
meta
PaginationMeta!
Pagination metadata
current_page
integer!
Current page number
next_page
integer | null
Next page number (null if last page)
prev_page
integer | null
Previous page number (null if first page)
per_page
integer!
Number of items per page
total_pages
integer!
Total number of pages available
total_count
integer!
Total number of items available
has_more_pages
boolean!
Whether there are more pages available